libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
fixedpoint.h File Reference
`#include <cmath>`
`#include <type_traits>`
Include dependency graph for fixedpoint.h:

Go to the source code of this file.

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Functions
template<unsigned int I, unsigned int F, typename R, typename T>
constexpr R | libcamera::ipa::floatingToFixedPoint (T number)
| Convert a floating point number to a fixed-point representation.
template<unsigned int I, unsigned int F, typename R, typename T>
constexpr R | libcamera::ipa::fixedToFloatingPoint (T number)
| Convert a fixed-point number to a floating point representation.